import { axios } from '@/utils/request'

// 获取列表数据
export const getLableListData = params => {
  const url = `label/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: {},
    method: 'POST'
  })
}

// 删除接口
export const delectLable = params => {
  return axios({
    url: `label/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}

// 新增/编辑保存接口
export const saveLable = params => {
  return axios({
    url: 'label/save',
    data: params,
    method: 'POST'
  })
}

// 编辑查详情
export const lableDetails = (params) => {
  const url = `/label/findById/${params.id}`
  return axios({
    url: url,
    data: params,
    method: 'get'
  })
}

// 标签下拉列表
export const lableSeleteList = params => {
  return axios.request({
    url: `label/queryList`,
    method: 'post',
    data: {}
  })
}

// 网点首次投递下拉列表
export const stationSeleteList = params => {
  return axios.request({
    url: `station/queryStationList`,
    method: 'post',
    data: {}
  })
}
